# spec file for package runabc
#

Summary:	A graphical user interface for processing abc files.
Summary(de): Eine grafische Oberfl�che f�r die Bearbeitung von abc-Dateien.
Name:		runabc
Version:	1.933
Release:	%mkrel 1
License:	GPL
URL:		http://ifdo.pugmarks.com/~seymour/runabc/top.html
Group:		Sound
Prefix:		%{_prefix}
BuildArch:	noarch
Source:		%{name}-%{version}.tar.xz
Source1:	%{name}.sh
Source2:	%{name}.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#------------------------------
BuildRequires:	unzip
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
#------------------------------
Requires:	abcm2ps
Requires:	abcMIDI
Requires:	tcl >= 8.4
Requires:	tk >= 8.4

%description
Runabc is a graphical user interface to several command line
driven programs for processing abc music notation files. It is
written in Tcl/Tk script and will run on any computer or operating
system in which Tcl/Tk is installed. This includes Windows, Unix,
Linux and Macintosh.

The script now provides graphical user interfaces to abc2abc, 
abc2midi, abc2ps, abcm2ps and yaps. You also need a midi player 
and a postscript viewer.


%prep

%setup -n %{name}

%build

%install
rm -rf %buildroot

sed -i s/'\/lib\/runabc'/'\/%{_lib}\/runabc'/ %SOURCE1

%__mkdir -p %{buildroot}/%{_bindir}
%__install -m 755 %SOURCE1 %{buildroot}%{_bindir}/%{name}

%__mkdir -p %{buildroot}%{_libdir}/%{name}
%__install -m 644 ./*.tcl %{buildroot}%{_libdir}/%{name}

%__mkdir -p %{buildroot}%{_datadir}/%{name}
%__install -m 644 ./layout_files/*.fmt %{buildroot}%{_datadir}/%{name}

%__mkdir -p %{buildroot}%{_datadir}/pixmaps
%__install -m 644 %SOURCE2 %{buildroot}%{_datadir}/pixmaps

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=RunABC
GenericName=A GUI for processing ABC files.
Name=%{name}
Exec=runabc
Icon=%{name}
Type=Application
Terminal=false
X-KDE-StartupNotify=true
MimeType=text/x-%{name};
Categories=AudioVideo;Music;X-MandrivaLinux-Multimedia-Sound;Education;
EOF

#new style mime-type
mkdir -p %{buildroot}%{_datadir}/mime/packages
cat > %{buildroot}%{_datadir}/mime/packages/%{name}.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
  <mime-type type="text/x-%{name}">
         <comment>ABC music notation file</comment>
         <glob pattern="*.abc" />
         <sub-class-of type="text/plain" />
  </mime-type>
</mime-info>
EOF

%clean
%__rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc runabc.txt abc_examples/
%{_bindir}/*
%{_libdir}/%{name}/*
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_datadir}/mime/packages/%{name}.xml


%changelog
* Fri May 22 2015 gseaman <galen.seaman at comcast.net> 1.933-1gseaman2015
- 1.933

* Fri Jan 16 2015 bb <bb> 1.917-2pclos2015
- fix rpm group to Sound

* Sat Jan 03 2015 gseaman <galen.seaman at comcast.net> 1.917-1gseaman2015
- 1.917

* Sat Nov 22 2014 gseaman <galen.seaman at comcast.net> 2014.11.19-1gseaman2014
- first build for PCLinuxOS
